Bug 1412801 - Review Request: python-networkmanager - Easy communication with NetworkManager
Summary: Review Request: python-networkmanager - Easy communication with NetworkManager
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-12 20:19 UTC by Mairi Dulaney
Modified: 2017-02-28 21:19 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-24 22:49:47 UTC
Type: ---
ignatenko: fedora-review+


Attachments (Terms of Use)

Description Mairi Dulaney 2017-01-12 20:19:43 UTC
Spec URL: https://jdulaney.fedorapeople.org/python-networkmanager.spec
SRPM URL: https://jdulaney.fedorapeople.org/python-networkmanager-1.2.1-1.fc25.src.rpm
Description: python-networkmanager wraps NetworkManagers D-Bus interface so you can be less verbose when talking to NetworkManager from python. All interfaces have been wrapped in classes, properties are exposed as python properties and function calls are forwarded to the correct interface.
Fedora Account System Username: jdulaney

Comment 1 Igor Gnatenko 2017-01-12 20:29:44 UTC
* Any reason to make this python3 stuff conditional? And there is anyway problem with that 34, you should use %python3_pkgversion, but most probably you just don't want to build python3 subpackage under EPEL.
Would be better if you will use:
%if 0%{?rhel} && 0%{?rhel} <= 7
%bcond_with python3
%else
%bcond_without python3
%endif

* Move BuildRequires under subpackages (it's more readable)

* You can reuse %{summary} from subpackages

* Any reason not to take archive from github?

* Missing %python_provide macro

* GitHub url should be https://, not http://

* %setup -q -n python-networkmanager-%{version}, it's equivalent to %setup -q -n %{name}-%{version} were -n %{name}-%{version} can be omitted. Though I would just replace it with %autosetup

* Actually pythonX-setuptools is not needed at all since package doesn't use setuptools for building

* I didn't check, but I guess missing Requires: pythonX-dbus

* I would recommend to package examples as %doc (kinda useful stuff)

Comment 2 Mairi Dulaney 2017-01-17 20:49:40 UTC
Spec URL: https://jdulaney.fedorapeople.org/python-networkmanager.spec
SRPM URL: https://jdulaney.fedorapeople.org/python-networkmanager-1.2.1-2.fc25.src.rpm

Went through and took care of things; I prefer to use pypi as that feels like a more official release than github; I shall ask the maintainers to see which they prefer.

Comment 3 Igor Gnatenko 2017-01-21 02:39:30 UTC
* %doc %{_mandir}/man1/python-networkmanager.1.gz -> %{_mandir}/man1/python-networkmanager.1*
* cp docs/_build/man/python-networkmanager.1 %{buildroot}%{_mandir}/man1/
  -> this doesn't preserve timestamps actually
* %files -n python-networkmanager-doc
  -> I don't think it's worth to create subpackage for this (examples are not that big, but metadata which is created is bigger ;))
* Since you share man between to packages, you should add Conflicts: pythonX-networkmanager < %{version}-%{release} and Conflicts: pythonX-networkmanager > %{version}-%{release}
  -> otherwise if people will try to update packages separately, it will fail with file errors
* Since you already share files, I would recommend to set %global _docdir_fmt %{name}, so all documentation will be shared in one directory

Don't see any blockers though.

Comment 4 Mairi Dulaney 2017-01-25 20:18:59 UTC
Spec URL: https://jdulaney.fedorapeople.org/python-networkmanager.spec
SRPM URL: https://jdulaney.fedorapeople.org/python-networkmanager-1.2.1-3.fc25.src.rpm

I put the manpage into the docs subpackage.  I figured having the examples in a subpackage would be better for security, the whole "don't install things that are not necessary" thing.

Comment 5 Igor Gnatenko 2017-01-25 20:20:34 UTC
(In reply to John Dulaney from comment #4)
> Spec URL: https://jdulaney.fedorapeople.org/python-networkmanager.spec
> SRPM URL:
> https://jdulaney.fedorapeople.org/python-networkmanager-1.2.1-3.fc25.src.rpm
> 
> I put the manpage into the docs subpackage.  I figured having the examples
> in a subpackage would be better for security, the whole "don't install
> things that are not necessary" thing.
There's nothing secure (I mean non-secure) in having examples in main subpackages. You want to split docs only if they are big (>10M)

Comment 6 Gwyn Ciesla 2017-01-25 22:29:11 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-networkmanager

Comment 7 Fedora Update System 2017-01-28 20:12:20 UTC
python-networkmanager-1.2.1-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e047129893

Comment 8 Fedora Update System 2017-01-28 20:13:19 UTC
python-networkmanager-1.2.1-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9c4df59192

Comment 9 Fedora Update System 2017-01-29 01:19:27 UTC
python-networkmanager-1.2.1-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9c4df59192

Comment 10 Fedora Update System 2017-01-29 02:23:17 UTC
python-networkmanager-1.2.1-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e047129893

Comment 11 Fedora Update System 2017-02-12 20:37:41 UTC
python-networkmanager-1.2.1-7.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-79ea18d53b

Comment 12 Fedora Update System 2017-02-12 20:42:59 UTC
python-networkmanager-1.2.1-7.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9e514f6254

Comment 13 Fedora Update System 2017-02-13 23:19:09 UTC
python-networkmanager-1.2.1-7.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9e514f6254

Comment 14 Fedora Update System 2017-02-14 00:53:30 UTC
python-networkmanager-1.2.1-7.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-79ea18d53b

Comment 15 Fedora Update System 2017-02-24 22:49:47 UTC
python-networkmanager-1.2.1-7.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-02-28 21:19:19 UTC
python-networkmanager-1.2.1-7.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.